require(pacman)
require(broom.mixed)
path = "C:/Users/seth_/Desktop/Stats/cond_timeseries_121420"
temp = "1100"
feed = "al"
#pattern matching to get all al1100 files
pattern = "^al1100(.*)xlsx$"
#list of max cond thickness values for each sample
thick = c(0.4, 0.25, 0.35, 0.15, 0.15)
files = list.files(path = path, pattern = pattern, full.name = TRUE)

df1 <- read_excel(files[1], trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=1) %>%
  filter(thickness==thick[1]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df1$time_elapse <- 1:nrow(df1)

df2 <- read_excel(files[2], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=2) %>%
  filter(thickness==thick[2]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df2$time_elapse <- 1:nrow(df2)

df3 <- read_excel(files[3], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=3) %>%
  filter(thickness==thick[3]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df3$time_elapse <- 1:nrow(df3)

df4 <- read_excel(files[4], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=4) %>%
  filter(thickness==thick[4]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df4$time_elapse <- 1:nrow(df4)

df5 <- read_excel(files[5], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=5) %>%
  filter(thickness==thick[5]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df5$time_elapse <- 1:nrow(df5)

#simulate data for samples 2-5 from a uniform distribution using min and max of observed resistance from sample 1
al1100 <- rbind(df1, df2, df3, df4, df5) %>% 
  dplyr::select(dplyr::matches('elapse|tthick|res|cond|trt|feed|temp|samp')) 

temp = "900"
feed = "al"
#pattern matching to get all al900 files
pattern = "^al900(.*)xlsx$"
#list of max cond thickness values for each sample
thick = c(0.85, 0.75, 0.7, 0.5, 0.5)
files = list.files(path = path, pattern = pattern, full.name = TRUE)

df1 <- read_excel(files[1], trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=1) %>%
  filter(thickness==thick[1]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df1$time_elapse <- 1:nrow(df1)

df2 <- read_excel(files[2], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=2) %>%
  filter(thickness==thick[2]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df2$time_elapse <- 1:nrow(df2)

df3 <- read_excel(files[3], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=3) %>%
  filter(thickness==thick[3]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df3$time_elapse <- 1:nrow(df3)

df4 <- read_excel(files[4], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=4) %>%
  filter(thickness==thick[4]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df4$time_elapse <- 1:nrow(df4)

df5 <- read_excel(files[5], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=5) %>%
  filter(thickness==thick[5]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df5$time_elapse <- 1:nrow(df5)

#simulate data for samples 2-5 from a uniform distribution using min and max of observed resistance from sample 1
al900 <- rbind(df1, df2, df3, df4, df5) %>% 
  dplyr::select(dplyr::matches('elapse|tthick|res|cond|trt|feed|temp|samp')) 

temp = "900"
feed = "cell"
#pattern matching to get all cell900 files
pattern = "^cell900(.*)xlsx$"
#list of max cond thickness values for each sample
thick = c(0.1, 0.2, 0.0, 0.1, 0.15)
files = list.files(path = path, pattern = pattern, full.name = TRUE)

df1 <- read_excel(files[1], trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=1) %>%
  filter(thickness==thick[1]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df1$time_elapse <- 1:nrow(df1)

df2 <- read_excel(files[2], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=2) %>%
  filter(thickness==thick[2]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df2$time_elapse <- 1:nrow(df2)

df3 <- read_excel(files[3], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=3) %>%
  filter(thickness==thick[3]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df3$time_elapse <- 1:nrow(df3)

df4 <- read_excel(files[4], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=4) %>%
  filter(thickness==thick[4]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df4$time_elapse <- 1:nrow(df4)

df5 <- read_excel(files[5], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=5) %>%
  filter(thickness==thick[5]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df5$time_elapse <- 1:nrow(df5)

#simulate data for samples 2-5 from a uniform distribution using min and max of observed resistance from sample 1
cell900 <- rbind(df1, df2, df3, df4, df5) %>% 
  dplyr::select(dplyr::matches('elapse|tthick|res|cond|trt|feed|temp|samp')) 

temp = "900"
feed = "dal"
#pattern matching to get all dal900 files
pattern = "^dal900(.*)xlsx$"
#list of max cond thickness values for each sample
thick = c(0.9, 0.9, 0.85, 0.85, 0.8)
files = list.files(path = path, pattern = pattern, full.name = TRUE)

df1 <- read_excel(files[1], trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=1) %>%
  filter(thickness==thick[1]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df1$time_elapse <- 1:nrow(df1)

df2 <- read_excel(files[2], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=2) %>%
  filter(thickness==thick[2]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df2$time_elapse <- 1:nrow(df2)

df3 <- read_excel(files[3], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=3) %>%
  filter(thickness==thick[3]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df3$time_elapse <- 1:nrow(df3)

df4 <- read_excel(files[4], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=4) %>%
  filter(thickness==thick[4]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df4$time_elapse <- 1:nrow(df4)

df5 <- read_excel(files[5], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "unit", "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current, -unit) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=5) %>%
  filter(thickness==thick[5]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df5$time_elapse <- 1:nrow(df5)

#simulate data for samples 2-5 from a uniform distribution using min and max of observed resistance from sample 1
dal900 <- rbind(df1, df2, df3, df4, df5) %>% 
  dplyr::select(dplyr::matches('elapse|tthick|res|cond|trt|feed|temp|samp')) 

temp = "1100"
feed = "dal"
#pattern matching to get all dal1100 files
pattern = "^dal1100(.*)xlsx$"
#list of max cond thickness values for each sample
thick = c(0.7, 0.7, 0.65, 0.65, 0.65)
files = list.files(path = path, pattern = pattern, full.name = TRUE)

df1 <- read_excel(files[1], trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=1) %>%
  filter(thickness==thick[1]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df1$time_elapse <- 1:nrow(df1)

df2 <- read_excel(files[2], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=2) %>%
  filter(thickness==thick[2]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df2$time_elapse <- 1:nrow(df2)

df3 <- read_excel(files[3], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=3) %>%
  filter(thickness==thick[3]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df3$time_elapse <- 1:nrow(df3)

df4 <- read_excel(files[4], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=4) %>%
  filter(thickness==thick[4]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df4$time_elapse <- 1:nrow(df4)

df5 <- read_excel(files[5], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=5) %>%
  filter(thickness==thick[5]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df5$time_elapse <- 1:nrow(df5)

#simulate data for samples 2-5 from a uniform distribution using min and max of observed resistance from sample 1
dal1100 <- rbind(df1, df2, df3, df4, df5) %>% 
  dplyr::select(dplyr::matches('elapse|tthick|res|cond|trt|feed|temp|samp')) 

temp = "900"
feed = "ws"
#pattern matching to get all ws900 files
pattern = "^ws900(.*)xlsx$"
#list of max cond thickness values for each sample
thick = c(0.35, 0.25, 0.15, 0.3, 0.2)
files = list.files(path = path, pattern = pattern, full.name = TRUE)

df1 <- read_excel(files[1], trim_ws=TRUE, na="NA", skip=7, col_names=c("id", "resistance", "thickness", "current" , "unit", "time", "fracsec"), col_types = c("numeric", "numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current, -unit) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=1) %>%
  filter(thickness==thick[1]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df1$time_elapse <- 1:nrow(df1)

df2 <- read_excel(files[2], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=2) %>%
  filter(thickness==thick[2]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df2$time_elapse <- 1:nrow(df2)

df3 <- read_excel(files[3], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=3) %>%
  filter(thickness==thick[3]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df3$time_elapse <- 1:nrow(df3)

df4 <- read_excel(files[4], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=4) %>%
  filter(thickness==thick[4]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df4$time_elapse <- 1:nrow(df4)

df5 <- read_excel(files[5], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=5) %>%
  filter(thickness==thick[5]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df5$time_elapse <- 1:nrow(df5)

#simulate data for samples 2-5 from a uniform distribution using min and max of observed resistance from sample 1
ws900 <- rbind(df1, df2, df3, df4, df5) %>% 
  dplyr::select(dplyr::matches('elapse|tthick|res|cond|trt|feed|temp|samp')) 

temp = "1100"
feed = "ws"
#pattern matching to get all al1100 files
pattern = "^ws1100(.*)xlsx$"
#list of max cond thickness values for each sample
thick = c(0.5, 0.45, 0.45, 0.45, 0.4)
files = list.files(path = path, pattern = pattern, full.name = TRUE)

df1 <- read_excel(files[1], trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=1) %>%
  filter(thickness==thick[1]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df1$time_elapse <- 1:nrow(df1)

df2 <- read_excel(files[2], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=2) %>%
  filter(thickness==thick[2]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df2$time_elapse <- 1:nrow(df2)

df3 <- read_excel(files[3], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=3) %>%
  filter(thickness==thick[3]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df3$time_elapse <- 1:nrow(df3)

df4 <- read_excel(files[4], sheet=1, trim_ws=TRUE, skip = 8, na="NA", col_names=c("id", "resistance", "thickness", "current" , "date", "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current, -date) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=4) %>%
  filter(thickness==thick[4]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1), var_res = NA, var_cond = NA) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df4$time_elapse <- 1:nrow(df4)

df5 <- read_excel(files[5], sheet=1, trim_ws=TRUE, na="NA", skip = 8, col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=5) %>%
  filter(thickness==thick[5]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1), var_res = NA, var_cond = NA) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df5$time_elapse <- 1:nrow(df5)

#simulate data for samples 2-5 from a uniform distribution using min and max of observed resistance from sample 1
ws1100 <- rbind(df1, df2, df3, df4, df5) %>% 
  dplyr::select(dplyr::matches('elapse|tthick|res|cond|trt|feed|temp|samp')) 

temp = "900"
feed = "hl"
#pattern matching to get all al1100 files
pattern = "^hl900(.*)xlsx$"
#list of max cond thickness values for each sample
thick = c(0.65, 0.55, 0.55, 0.55, 0.55)
files = list.files(path = path, pattern = pattern, full.name = TRUE)
df1 <- read_excel(files[1], trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=1) %>%
  filter(thickness==thick[1]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df1$time_elapse <- 1:nrow(df1)

df2 <- read_excel(files[2], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=2) %>%
  filter(thickness==thick[2]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df2$time_elapse <- 1:nrow(df2)

df3 <- read_excel(files[3], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=3) %>%
  filter(thickness==thick[3]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df3$time_elapse <- 1:nrow(df3)

df4 <- read_excel(files[4], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "date", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=4) %>%
  filter(thickness==thick[4]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df4$time_elapse <- 1:nrow(df4)

df5 <- read_excel(files[5], sheet=1, trim_ws=TRUE, na="NA", col_names=c("id", "resistance", "thickness", "current" , "unit", "time", "fracsec"), col_types = c("numeric", "numeric","numeric", "numeric", "numeric", "numeric", "numeric")) %>% 
  dplyr::select(., -id, -fracsec, -current, -unit) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=5) %>%
  filter(thickness==thick[5]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df5$time_elapse <- 1:nrow(df5)

#simulate data for samples 2-5 from a uniform distribution using min and max of observed resistance from sample 1
hl900 <- rbind(df1, df2, df3, df4, df5) %>% 
  dplyr::select(dplyr::matches('elapse|tthick|res|cond|trt|feed|temp|samp')) 

temp = "1100"
feed = "hl"
#pattern matching to get all hl1100 files
pattern = "^hl1100(.*)csv$"
#list of max cond thickness values for each sample
thick = c(0.15, 0.05, 0.05, 0.05, 0.05)
files = list.files(path = path, pattern = pattern, full.name = TRUE)
df1 <- read_csv(files[1]) %>%
  rename(resistance = Reading, time = Time, thickness = Thickness ) %>%
  dplyr::select(., resistance, time, thickness) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=1) %>%
  filter(thickness==thick[1]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df1$time_elapse <- 1:nrow(df1)

df2 <- read_csv(files[2]) %>%
  rename(resistance = Reading, time = Time, thickness = Thickness ) %>%
  dplyr::select(., resistance, time, thickness) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=2) %>%
  filter(thickness==thick[2]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df2$time_elapse <- 1:nrow(df2)

df3 <- read_csv(files[3]) %>%
  rename(resistance = Reading, time = Time, thickness = Thickness ) %>%
  dplyr::select(., resistance, time, thickness) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=3) %>%
  filter(thickness==thick[3]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df3$time_elapse <- 1:nrow(df3)

#something strange with this file - might be strange characters but unless read.csv is used with the argument 'encoding' it will not read in the thickness value at all - it comes in as 'boolean' and shows up as all NA values
df4 <- read.csv(files[4], encoding="UTF-8") %>%
  rename(resistance = Reading, time = Time, thickness = Thickness ) %>%
  dplyr::select(., resistance, time, thickness) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=4) %>%
  filter(thickness==thick[4]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond=((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df4$time_elapse <- 1:nrow(df4)

#something strange with this file - might be strange characters but unless read.csv is used with the argument 'encoding' it will not read in the thickness value at all - it comes in as 'boolean' and shows up as all NA values
df5 <- read.csv(files[5], encoding="UTF-8") %>%
  rename(resistance = Reading, time = Time, thickness = Thickness ) %>%
  dplyr::select(., resistance, time, thickness) %>%
  mutate(time = stringr::str_sub(time, start = -8), hms = lubridate::hms(time), tthick_cm = (thickness + 0.29)/2.54, cond = ((0.448468*resistance)/tthick_cm)^(-1), feed=feed, temp=temp, trt=paste0(feed, temp), sample=5) %>%
  filter(thickness==thick[5]) %>%   
  #grouping by time to average for fractional seconds
  group_by(time) %>%
  mutate(resistance= mean(resistance), cond= ((0.448468*resistance)/tthick_cm)^(-1)) %>%
  #keeping only distinct rows, so one entry for each second that is an average of any fractional second measurements
  distinct(.)
df5$time_elapse <- 1:nrow(df5)


hl1100 <- rbind(df1, df2, df3, df4, df5) %>% 
  dplyr::select(dplyr::matches('elapse|tthick|res|cond|trt|feed|temp|samp')) 

#combine all max conductivity for each trt and filter out burn-in time t=25 and take all those at less than or equal to 31 seconds so that we have the same number of reps across treatments (al1100_s4 only has 31 obs total)
cond <- bind_rows(dal1100, dal900, cell900, al1100, al900, ws900, ws1100, hl900, hl1100) %>%
  filter_at(vars(contains("elapse")), all_vars(between(., 25, 31))) %>%
  dplyr::select(feed, temp, trt, time_elapse, sample, cond) %>%
  mutate(trt.sample = paste(trt, sample, sep="_"))

#bring in latest set of predictor variables as of 04-01-21 and join these to conductivity replicates
cond_full <- read_excel("C:/Users/seth_/Desktop/Stats/cond_timeseries_121420/chemphysreg_finalvars.xlsx") %>%
  #new name = old name
  rename(HCratio=`H:C`, OCratio=`O:C`, dis_graphratio=`Id/g`, surface_area=`Surface Area`, part_size=`Particle Size`, metal=`Metal content`) %>%
  mutate(trt=tolower(Name), sample=rep(1:5, times=9), trt.sample=paste(trt, sample, sep="_")) %>%
  select(-c(Name, Conductivity)) %>%
  dplyr::inner_join(y=., x=cond, by=c("trt", "sample", "trt.sample"), keep=FALSE) %>%
  mutate(temp=fct_relevel(temp, c("900", "1100")))


cond_full %>%
  ggplot(aes(temp, cond)) +
  #geom_line(size=1.22, aes(group=feed, color=feed)) +
  geom_point(position=position_jitter(h=0, w=0.3), alpha=0.7, size=4, aes(color=feed)) +
  theme(axis.text.x = element_text(angle=0, face="bold", size="8"),
        axis.title = element_text(size=12, face="bold"),
        legend.title=element_text(size=12, face="bold"),
        plot.title = element_text(size=18)) +
  labs(title="Maximum conductivity by feedstock and temperature", 
       x="temperature", 
       y="conductivity (S/cm)",
       color="feedstock")

#how does conductivity differ across treatments?
#create lmer1 to use in contrasts later
lmer1 <-lme4::lmer(cond ~ trt + (1|trt.sample), data = cond_full)
#use lmertest to force p-value output
lmercond <- lmerTest::lmer(cond ~ trt + (1|trt.sample), data = cond_full)
#summary(lmercond)
#anova(lmercond)
#plot(effects::allEffects(lmer1, residuals=TRUE), ylab="", partial.residuals=list(smooth=TRUE))
plot(effects::allEffects(lmer1, residuals=FALSE), ylab="maximum conductivity (S/cm)", xlab="treatment", main="Treatment Effect Plot", type="response", ylim=c(-5, 15))

{r}
#contrasts of interest
#differences between three-lignin based feedstocks at 1100 temp (HL1100, DAL1100, AL1100)
#differences between 900 and 1100 temp for each biochar
pacman::p_load(emmeans)
#create emmgrid object from lmer model
lmer1.emm <- emmeans::emmeans(lmer1, ~trt)
#compare AL1100 to DAL1100
contrastvector1 <- c(1, 0, 0, -1, 0, 0, 0, 0, 0)
#compare AL1100 to HL1100
contrastvector2 <- c(1, 0, 0, 0, 0, -1, 0, 0, 0)
#compare DAL1100 to HL1100
contrastvector3 <- c(0, 0, 0, 1, 0, -1, 0, 0, 0)
#al1100 and al900
contrastvector4 <- c(1, -1, 0, 0, 0, 0, 0, 0, 0)
#dal1100 and dal900
contrastvector5 <- c(0, 0, 0, 1, -1, 0, 0, 0, 0)
#hl1100 and hl900
contrastvector6 <- c(0, 0, 0, 0, 0, 1, -1, 0, 0)
#ws1100 and ws900
contrastvector7 <- c(0, 0, 0, 0, 0, 0, 0, 1, -1)

#try emmeans package because gmodels package function does not actually work with lmer objects
contrast <- emmeans::contrast(object=lmer1.emm, method=list(contrastvector1, contrastvector2, contrastvector3, contrastvector4, contrastvector5, contrastvector6, contrastvector7), adjust="bonferroni")
summ <- summary(contrast)
ci <- confint(contrast)
contrast.df <- data.frame(contrast = c("AL1100-DAL1100", "AL1100-HL1100", "DAL1100-HL1100", "AL1100-AL900", "DAL1100-DAL900", "HL1100-HL900", "WS1100-WS900"), estimate = c(as.vector(round(summ[,2], 2))), lowerCI = c(as.vector(round(ci[,5], 2))), upperCI = c(as.vector(round(ci[,6], 2))), t.stat = c(as.vector(round(summ[,5], 2))), p.value = c(as.vector(round(summ[,6], 4))))
contrast.df %>%
  rename(`lower 95% CI` = lowerCI,
         `upper 95% CI` = upperCI,
         `t-statistic` = t.stat,
         `p-value` = p.value) %>%
  pander(caption = "Estimated contrasts, 95% confidence intervals, t-statistics and associated p-values for the seven comparisons of interest. A Bonferroni correction was applied to adjust for multiple testing.")

particle <- cond_full %>%
  dplyr::select(., feed, temp, part_size) %>%
  ggplot(aes(x=temp, y=part_size, color=feed, shape=feed)) +
  #jitter, transparency, increase size
  geom_point(size=5) +
  theme(axis.text.x = element_text(angle=0, face="bold", size="10"),
        axis.title = element_text(size=12, face="bold"),
        legend.title=element_text(size=12, face="bold"),
        plot.title = element_text(size=16)) +
  labs(title="Average particle size",
       x="feedstock", 
       y="microns") +
  scale_y_continuous(breaks=seq(0,150,by=25), limits = c(0, 150)) +
  scale_colour_discrete(name="feedstock") +
  scale_shape_discrete(name="feedstock")

OHC <- cond_full %>%
  dplyr::select(., feed, temp, OCratio, HCratio) %>%
  rename(`O:C`=OCratio, `H:C`=HCratio) %>%
  pivot_longer(., cols=c(`O:C`, `H:C`), names_to="measurement", values_to = "value") %>%
  mutate_at(vars(contains("value")), as.numeric) %>% 
  ggplot(aes(x=temp, y=value, color=feed, group=feed, shape=feed)) +
  #jitter, transparency, increase size
  geom_point(alpha=0.7, size=4) +
  geom_line(size=1.2) +
  facet_grid(measurement~.) +
  theme(axis.text.x = element_text(angle=0, face="bold", size="10"),
        axis.title = element_text(size=12, face="bold"),
        legend.title=element_text(size=12, face="bold"),
        plot.title = element_text(size=16)) +
  labs(title="Elemental Analysis",
       subtitle = "Hydrogen (H), Oxygen (O) and Carbon (C) ratios ",
       x="temperature", 
       y="percent content") +
  scale_y_continuous(breaks=seq(0.0, 0.4,by=0.1), limits = c(0.0, 0.4)) +
  scale_color_discrete(name="feedstock") +
  scale_shape_discrete(name="feedstock")

idig <- cond_full %>%
  ggplot(aes(x=temp, y=dis_graphratio, color=feed, group=feed, shape=feed)) +
  #jitter, transparency, increase size
  geom_point(alpha=0.7, size=4) +
  geom_line(size=1.2) +
  theme(axis.text.x = element_text(angle=0, face="bold", size="10"),
        axis.title = element_text(size=12, face="bold"),
        legend.title=element_text(size=12, face="bold"),
        plot.title = element_text(size=16)) +
  labs(title="Raman: Disordered/Graphitic Peak Intensity Ratio",
       x="temperature", 
       y="peak intensity ratio") +
  scale_y_continuous(breaks=seq(0.0, 1.5,by=0.25), limits = c(0.0, 1.5)) +
  scale_color_discrete(name="feedstock") +
  scale_shape_discrete(name="feedstock") 

metal <- cond_full %>%
  ggplot(aes(x=temp, y=metal, color=feed, group=feed, shape=feed)) +
  #jitter, transparency, increase size
  geom_point(alpha=0.7, size=4) +
  geom_line(size=1.2) +
  theme(axis.text.x = element_text(angle=0, face="bold", size="10"),
        axis.title = element_text(size=12, face="bold"),
        legend.title=element_text(size=12, face="bold"),
        plot.title = element_text(size=16)) +
  labs(title="Percent Metals Content",
       x="temperature", 
       y="percent (%)") +
  scale_y_continuous(breaks=seq(0, 25,by=5), limits = c(0, 25)) +
  scale_color_discrete(name="feedstock") +
  scale_shape_discrete(name="feedstock")

surface <- cond_full %>%
  ggplot(aes(x=temp, y=surface_area, color=feed, group=feed, shape=feed)) +
  #jitter, transparency, increase size
  geom_point(alpha=0.7, size=4) +
  geom_line(size=1.2) +
  theme(axis.text.x = element_text(angle=0, face="bold", size="10"),
        axis.title = element_text(size=12, face="bold"),
        legend.title=element_text(size=12, face="bold"),
        plot.title = element_text(size=16)) +
  labs(title="Adsorption Phenomena: Surface Area",
       x="temperature", 
       y="surface area (meters^2/gram)") +
  scale_y_continuous(breaks=seq(0, 500,by=100), limits = c(0, 500)) +
  scale_color_discrete(name="feedstock") +
  scale_shape_discrete(name="feedstock")

gridExtra::grid.arrange(arrangeGrob(particle, OHC, idig, surface, metal, ncol=2), nrow=3, heights=c(10, 1, 1))

#correlation plot for predictor vars for max cond model 
themes <- ggplot2::theme(axis.text.y = element_text(size=12, face="bold", color="black"), 
                         axis.text.x = element_text(size=12, face="bold", color="black"),
                         axis.title.x=element_blank(),
                         axis.title.y=element_blank(),
                         plot.title=element_text(size=16, face="bold", hjust = 0.5),
                         legend.position="right",
                         legend.title = element_blank())

cond_full %>%
  select(HCratio, OCratio, dis_graphratio, part_size, metal, surface_area) %>%
  ungroup(time) %>%
  select(-time) %>%
  cor(.) %>% 
  ggcorrplot::ggcorrplot(., method="circle", type="upper", show.legend = TRUE, title = "Estimated correlation coefficients \n for maximum conductivity \n predictor variables", colors=c("red", "white", "blue")) +
  themes
h1 <- cond_full %>% ggplot(data=., aes(cond)) + geom_histogram() + labs(x="maximum conductivity", y="")
h2 <- cond_full %>% ggplot(data=., aes(sqrt(cond))) + geom_histogram() + labs(x="sqrt(maximum conductivity)", y="")
gridExtra::grid.arrange(arrangeGrob(h1, h2, ncol=1), nrow=2, heights=c(10, 1))

#what is the relationship of the predictor variables to conductivity?
#need to first go through predictors individually and ensure a linear relationship exists between each predictor and the response. Then we can begin a forward selection process to ensure that VIFS are reasonable.

lmer_HCratio <- lmerTest::lmer(sqrt(cond)~HCratio + (1|trt/trt.sample), data=cond_full)
summary(lmer_HCratio)
plot(effects::allEffects(lmer_HCratio, residuals=TRUE), ylab="")
plot(lmer_HCratio)

lmer_OCratio <- lmerTest::lmer(sqrt(cond)~OCratio + (1|trt/trt.sample), data=cond_full)
summary(lmer_OCratio)
plot(effects::allEffects(lmer_OCratio, residuals=TRUE), ylab="")
plot(lmer_OCratio)

lmer_idig <- lmerTest::lmer(sqrt(cond)~dis_graphratio + (1|trt/trt.sample), data=cond_full)
summary(lmer_idig)
plot(effects::allEffects(lmer_idig, residuals=TRUE), ylab="")
plot(lmer_idig)

lmer_partsize <- lmerTest::lmer(sqrt(cond)~part_size+ (1|trt/trt.sample), data=cond_full)
summary(lmer_partsize)
plot(effects::allEffects(lmer_partsize, residuals=TRUE), ylab="")
plot(lmer_partsize)

#seems as though particle size is better fit by a quadratic curve
#recall that by using the poly function orthogonal polynomials are fit, meaning that the correlation between the x and x^2 term is essentially 0, removing issues with multicollinearity
lmer_partsize <- lmerTest::lmer(sqrt(cond)~poly(part_size, 2) + (1|trt/trt.sample), data=cond_full)
summary(lmer_partsize)
plot(effects::allEffects(lmer_partsize, residuals=TRUE), ylab="")
plot(lmer_partsize)

lmer_full <- lmerTest::lmer(sqrt(cond)~OCratio + HCratio + (1|trt/trt.sample), data=cond_full)
summary(lmer_full)
plot(effects::allEffects(lmer_full, residuals=TRUE), ylab="")
plot(lmer_full)

#trouble fitting metals appropriately - might need to categorize metals
lmer_metal <- lmerTest::lmer(sqrt(cond)~metal + (1|trt/trt.sample), data=cond_full)
summary(lmer_metal)
plot(effects::allEffects(lmer_metal, residuals=TRUE), ylab="")
plot(lmer_metal)
#metals can be categorized in the following way: group A):AL/DAL/HL at both 900 and 1100 (lots of Na and S, no Mg/Ca/K), Group B:  WS 900 and 1100 (lots of Na/Mg/Ca/K, no S). and Group C: CELL900 (No metal).
lmer_metalcat <- cond_full %>% mutate(metal_cat = ifelse(feed == "al" | feed == "dal" | feed == "hl", "A", ifelse(feed == "ws", "B", "C"))) %>% lmerTest::lmer(sqrt(cond)~metal_cat + (1|trt/trt.sample), data=.)
summary(lmer_metalcat)

#will probably need to categorize surface area because it is troublesome to fit as well
lmer_surface <- lmerTest::lmer(sqrt(cond)~surface_area + (1|trt/trt.sample), data=cond_full)
summary(lmer_surface)
plot(effects::allEffects(lmer_surface, residuals=TRUE), ylab="")
plot(lmer_surface)
#logging leads to very little improvement
lmer_surface <- lmerTest::lmer(sqrt(cond)~log(surface_area) + (1|trt/trt.sample), data=cond_full)
summary(lmer_surface)
plot(effects::allEffects(lmer_surface, residuals=TRUE), ylab="")
plot(lmer_surface)
#Surface area probably groups similarly: Group A: AL900, AL1100, DAL900, DAL1100 (~10-30 m^2/g) Group B: WS900, WS1100, HL1100 (Approx. 100 m^2/g) and Group C: CELL900 (480.2 m^2/g)
lmer_surfacecat <- cond_full %>% mutate(surface_cat = ifelse(feed == "al" | feed == "dal", "A", ifelse(feed == "hl" | feed == "ws", "B", "C"))) %>% lmerTest::lmer(sqrt(cond)~surface_cat + (1|trt/trt.sample), data=.)
summary(lmer_surfacecat)

#add those categorical variables to the cond_full data set permanently
cond_full <- cond_full %>%
  mutate(surface_cat = ifelse(feed == "al" | feed == "dal", "A", ifelse(feed == "hl" | feed == "ws", "B", "C")),
         metal_cat = ifelse(feed == "al" | feed == "dal" | feed == "hl", "A", ifelse(feed == "ws", "B", "C")))

#step 1, adding HCratio
lmer_full <- lmerTest::lmer(sqrt(cond)~OCratio + HCratio + (1|trt/trt.sample), data=cond_full)
summary(lmer_full)
plot(effects::allEffects(lmer_full, residuals=TRUE), ylab="")
plot(lmer_full)

#step 2, removing HCratio and adding dis_graphratio
lmer_full <- lmerTest::lmer(sqrt(cond)~OCratio + dis_graphratio + (1|trt/trt.sample), data=cond_full)
summary(lmer_full)
plot(effects::allEffects(lmer_full, residuals=TRUE), ylab="")
plot(lmer_full)

#step 3, removing dis_graphratio and adding poly(part_size, 2)
lmer_full <- lmerTest::lmer(sqrt(cond)~OCratio + poly(part_size, 2) + (1|trt/trt.sample), data=cond_full)
summary(lmer_full)
plot(effects::allEffects(lmer_full, residuals=TRUE), ylab="")
plot(lmer_full)

#leave poly(part_size, 2) and add metal_cat
lmer_full <- lmerTest::lmer(sqrt(cond)~OCratio + poly(part_size, 2) + metal_cat + (1|trt/trt.sample), data=cond_full)
summary(lmer_full)
plot(effects::allEffects(lmer_full, residuals=TRUE), ylab="")
plot(lmer_full)

#remove metal_cat and add surface_cat
lmer_full <- lmerTest::lmer(sqrt(cond)~OCratio + poly(part_size, 2) + surface_cat + (1|trt/trt.sample), data=cond_full)
summary(lmer_full)
plot(effects::allEffects(lmer_full, residuals=TRUE), ylab="")
plot(lmer_full)

#remove surface_cat and we are left with our final model
lmer_full <- lmerTest::lmer(sqrt(cond)~OCratio + poly(part_size, 2) + (1|trt/trt.sample), data=cond_full)
summary(lmer_full)
plot(effects::allEffects(lmer_full, residuals=FALSE), ylab="")
plot(lmer_full)
confint(lmer_full)

lmer_full <- lmerTest::lmer(sqrt(cond)~OCratio + poly(part_size, 2) + (1|trt/trt.sample), data=cond_full)
plot(effects::allEffects(lmer_full, residuals=FALSE), type="response")


wt.eff<- effect(term="part_size", mod=lmer_full)
plot.data <- data.frame(
  wt.eff$x,
  eff.lower = wt.eff$lower,
  eff.upper = wt.eff$upper,
  eff.fit = wt.eff$fit)



